package com.example.testktor

import kotlinx.serialization.Serializable

@Serializable
data class User(
    val id: Int,
    val name: String,
    val email: String,
    val password: String,
    val resetToken: String)

@Serializable
data class Sneaker(
    val id: Int,
    val name: String,
    val description: String,
    val cost: Double,
    val discount: Int,
    val photo: String,
    val gender: Char,
    val bootSize: Int,
    val categoryId: Int
)

@Serializable
data class SneakerShop(
    val sneaker: Sneaker,
    var likeOrNot: Boolean,
    var orderOrNot: Boolean
)

@Serializable
data class BuySneakerRequest(val sneakerId: Int, val count: Int)

@Serializable
data class BuySneakersRequest(val sneakers: List<BuySneakerRequest>)

@Serializable
data class Category(
    val id: Int,
    val name: String,
    val description: String
)

@Serializable
data class SneakerCategoryResponse(
    val sneakers: List<Sneaker>,
    val categories: List<Category>
)

var Token: String = "";