package com.example.testktor.ViewModel

import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.text.ClickableText
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.text.SpanStyle
import androidx.compose.ui.text.TextStyle
import androidx.compose.ui.text.buildAnnotatedString
import androidx.compose.ui.text.style.TextAlign
import androidx.compose.ui.text.style.TextDecoration
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import androidx.navigation.NavController

@Composable
fun ClickableTextAcceptVM(
    text: String,
    style: TextStyle
){
    ClickableText(
        text = buildAnnotatedString {
            append(text)
            addStyle(
                style = SpanStyle(
                    color = Color.Black,
                    textDecoration = TextDecoration.Underline
                ),
                start = 0,
                end = this.length
            )
        },
        onClick = { /* */ },
        modifier = Modifier
//            .fillMaxWidth()
            .padding(bottom = 20.dp),
        style = style
    )
}