package com.example.testktor.ViewModel

import android.util.Log
import androidx.compose.foundation.text.ClickableText
import androidx.compose.runtime.Composable
import androidx.compose.runtime.LaunchedEffect
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.text.TextStyle
import androidx.compose.ui.text.buildAnnotatedString
import androidx.compose.ui.unit.sp
import androidx.navigation.NavController
import org.w3c.dom.Text

@Composable
fun ClickableTextVM(
    text: String,
    navController: NavController?,
    screen: String,
    style: TextStyle
    ) {
    val isClick = remember { mutableStateOf(false) }
        if(isClick.value){
            if (navController != null){
                navController.navigate(screen)
                Log.d("lala", "ClickableTextVM: ")
                isClick.value = false
            }
    }
    ClickableText(
        text = buildAnnotatedString { append(text) },
        onClick = {
            isClick.value = !isClick.value
        },
        style = style
    )
}
