package com.example.testktor.method.auth

import androidx.compose.foundation.Image
import androidx.compose.foundation.background
import androidx.compose.foundation.clickable
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.width
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.material3.Slider
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.text.font.FontStyle
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.text.style.TextAlign
import androidx.compose.ui.text.style.TextOverflow
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp

@Composable
fun Textik(imageId: Int, textList: List<String>, textList2: List<String>, currentIndex: Int){
    Image(
        painter = painterResource(id = imageId),
        contentDescription = "Изображение",
        modifier = Modifier.width(670.dp).height(600.dp).padding(start = 20.dp)
    )
    Text(
        text = textList[currentIndex],
        color = Color.White,
        fontStyle = FontStyle.Italic,
        fontSize = 38.sp,
        fontWeight = FontWeight.Bold,
        textAlign = TextAlign.Center,
        lineHeight = 42.sp,
        softWrap = true,
        maxLines = 2,
        overflow = TextOverflow.Clip,
        modifier = Modifier
            .fillMaxWidth()
            .padding(top = 10.dp)
            .width(700.dp)
            .height(100.dp)
    )
    Text(
        text = textList2[currentIndex],
        color = Color.White,
        fontStyle = FontStyle.Italic,
        fontSize = 16.sp,
        fontWeight = FontWeight.Light,
        textAlign = TextAlign.Center,
        lineHeight = 20.sp,
        maxLines = 2,
        overflow = TextOverflow.Clip,
        softWrap = true,
        modifier = Modifier
            .fillMaxWidth()
            .padding(top = 15.dp)
            .height(40.dp)
    )
}

@Composable
fun Sliderik(currentIndex: Int, maxIndex: Int, onClick: (Int) -> Unit) {
    Row(
        modifier = Modifier
            .fillMaxWidth()
            .padding(vertical = 16.dp),
        horizontalArrangement = Arrangement.Center
    ) {
        for (i in 0..maxIndex) {
            Box(
                modifier = Modifier
                    .padding(horizontal = 8.dp)
                    .height(4.dp)
                    .width(if (i == currentIndex) 40.dp else 20.dp)
                    .background(
                        color = if (i == currentIndex) Color.White else Color.Gray,
                        shape = RoundedCornerShape(50)
                    )
                    .clickable { onClick(i) }
            )
        }
    }
}
