package com.example.testktor.method.auth

import android.widget.Space
import androidx.compose.foundation.layout.Spacer
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.width
import androidx.compose.material3.Text
import androidx.compose.material3.TextField
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.text.TextStyle
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.text.style.TextAlign
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import com.example.testktor.ViewModel.TextFieldVM


@Composable
fun BarForgot(emailIn: String, onEmailChange: (String) -> Unit){
    Text(
        text = "Забыл Пароль",
        style = TextStyle(fontSize = 32.sp, fontWeight = FontWeight.Medium),
        modifier = Modifier.height(60.dp).padding(bottom = 8.dp)
    )

    Text(
        text = "Введите Свою Учетную Запись\nДля Сброса",
        modifier = Modifier
            .fillMaxWidth()
            .padding(bottom = 20.dp),
        color = Color.Gray,
        style = TextStyle(fontSize = 18.sp, fontWeight = FontWeight.Light),
        textAlign = TextAlign.Center,
        softWrap = true,
        maxLines = 2
    )

    Spacer(modifier = Modifier.padding(top = 10.dp))

    TextFieldVM(emailIn, {onEmailChange(it)}, "xyz@gmail.com")
}