package com.example.testktor.method.auth

import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.Spacer
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.width
import androidx.compose.material3.Text
import androidx.compose.material3.TextField
import androidx.compose.runtime.Composable
import androidx.compose.runtime.LaunchedEffect
import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.runtime.setValue
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.text.TextStyle
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.text.style.TextAlign
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import com.example.testktor.ViewModel.ClickableTextVM
import com.example.testktor.ViewModel.TextFieldVM
import kotlinx.coroutines.delay

@Composable
fun TopBarReset(){
    Text(
        text = "ОТР Проверка",
        style = TextStyle(fontSize = 32.sp, fontWeight = FontWeight.Medium),
        modifier = Modifier.height(60.dp).padding(bottom = 8.dp)
    )

    Text(
        text = "Пожалуйста, Проверьте Свою, Электронную Почту, Чтобы Увидеть Код Подтверждения",
        modifier = Modifier
            .fillMaxWidth()
            .padding(bottom = 20.dp),
        color = Color.Gray,
        style = TextStyle(fontSize = 18.sp, fontWeight = FontWeight.Light),
        textAlign = TextAlign.Center,
        softWrap = true,
        maxLines = 3
    )
}

@Composable
fun TextFieldsReset(
    codeIn: String,
    onCodeChange: (String) -> Unit,
    newPassword: String,
    onNewPasswordChange: (String) -> Unit
) {
    var timer by remember { mutableStateOf(60) }

    LaunchedEffect(key1 = timer) {
        if (timer > 0) {
            delay(1000)
            timer--
        }
    }

    Text(text = "OTP Код", modifier = Modifier.padding(end = 255.dp))
    TextFieldVM(codeIn, { onCodeChange(it) }, "")

    Text(text = "New Password", modifier = Modifier.padding(end = 205.dp))
    TextFieldVM(newPassword, { onNewPasswordChange(it) }, "")

    Row(){
        Spacer(modifier = Modifier.padding(start = 40.dp))
        ClickableTextVM(
            "Восстановить",
            navController = null,
            "forgotPassword_screen",
            TextStyle(fontSize = 12.sp, color = Color.Gray)
        )

        Text(
            text = "${timer}s",
            style = TextStyle(fontSize = 12.sp, color = Color.Gray),
            color = Color.Gray,
            fontSize = 14.sp,
            modifier = Modifier
                .fillMaxWidth()
                .padding(end = 40.dp, bottom = 10.dp),
            textAlign = TextAlign.End
        )
    }
}
