package com.example.matuletest.ui.auth

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Spacer
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.Button
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.LaunchedEffect
import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.runtime.setValue
import androidx.compose.ui.Alignment
import androidx.compose.ui.graphics.Brush
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import com.example.testktor.R
import com.example.testktor.method.auth.Sliderik
import com.example.testktor.method.auth.Textik

@Composable
fun FirstScreen(onNavigateToSliderScreen: () -> Unit) {
    LaunchedEffect(Unit) {
        kotlinx.coroutines.delay(3000)
        onNavigateToSliderScreen()
    }
    Box(
        modifier = androidx.compose.ui.Modifier
            .fillMaxSize()
            .background(Brush.horizontalGradient(listOf(Color(0xFF48B2E7), Color(0xFF0076B1)))),
    ) {
        Text(
            text = "MATULEme",
            fontSize = 32.sp,
            color = Color.White,
            modifier = androidx.compose.ui.Modifier.align(Alignment.Center)
        )
    }
}

@Composable
fun SliderScreen(onNavigateToAuthScreen: () -> Unit) {
    var sliderValue by remember { mutableStateOf(0f) }
    val textList = listOf("ДОБРО\nПОЖАЛОВАТЬ", "Начнем\nпутешествие", "У Вас Есть Сила,\nЧтобы")
    val textList2 = listOf("", "Умная, великолепная и модная\nколлекция Изучите сейчас", "В вашей комнате много красивых и\nпривлекательных растений")
    val maxIndex = textList.size - 1

    val currentIndex = sliderValue.toInt()

    val imageId = when (currentIndex) {
        0 -> R.drawable.kros1
        1 -> R.drawable.kros2
        2 -> R.drawable.kros3
        else -> return
    }

    Column(
        modifier = androidx.compose.ui.Modifier
            .fillMaxSize()
            .background(Brush.horizontalGradient(listOf(Color(0xFF48B2E7), Color(0xFF0076B1)))),
        horizontalAlignment = Alignment.CenterHorizontally
    ) {
        Textik(imageId, textList, textList2, currentIndex)

        Spacer(modifier = androidx.compose.ui.Modifier.weight(1f))

//        Sliderik(sliderValue, maxIndex){ newValue -> sliderValue = newValue }
        Sliderik(currentIndex, maxIndex) { newIndex -> sliderValue = newIndex.toFloat() }

        Button(
            onClick = {
                if (sliderValue < maxIndex) {
                    sliderValue++
                } else {
                    onNavigateToAuthScreen()
                }},
            colors = androidx.compose.material3.ButtonDefaults.buttonColors(
                containerColor = Color.White,
                contentColor = Color.Black
            ),
            modifier = androidx.compose.ui.Modifier
                .fillMaxWidth()
                .padding(bottom = 40.dp)
        ) {
            Text(text = "Далее", color = Color.Black)
        }
    }
}