package com.example.testktor.screen.main

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.remember
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.navigation.NavController
import com.example.testktor.ViewModel.MainViewModel
import com.example.testktor.method.main.SneakerCategorySelection
import com.example.testktor.method.main.TopWriteNavigationBar

@Composable
fun FavouriteSneakersScreen(
    navController: NavController,
    viewModel: MainViewModel
) {
    Box(
        modifier = Modifier
            .fillMaxSize()
            .background(Color(0xFFF7F7F9))
    ) {
        FavouriteSneakersContent(navController, viewModel)
    }
}

@Composable
fun FavouriteSneakersContent(
    navController: NavController,
    viewModel: MainViewModel
) {
    val likedSneakers = remember(viewModel.selectedCategory, viewModel.likedSneakers) {
        viewModel.getLikedSneakersByCategory()
    }

    Column {
        TopWriteNavigationBar(navController, "Избранное", viewModel)

        SneakerCategorySelection(likedSneakers, viewModel)
    }
}