package com.example.testktor.screen.main

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.runtime.Composable
import androidx.compose.runtime.derivedStateOf
import androidx.compose.runtime.getValue
import androidx.compose.runtime.remember
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.navigation.NavController
import com.example.testktor.ViewModel.MainViewModel
import com.example.testktor.method.main.BottomKorzinaNavigationBar
import com.example.testktor.method.main.SneakerKorzinaSelection
import com.example.testktor.method.main.TopWriteNavigationBar

@Composable
fun KorzinaSneakersScreen(
    navController: NavController,
    viewModel: MainViewModel
) {
    Box(
        modifier = Modifier
            .fillMaxSize()
            .background(Color(0xFFF7F7F9))
    ) {
        KorzinaSneakersContent(navController, viewModel)
    }
}

@Composable
fun KorzinaSneakersContent(
    navController: NavController,
    viewModel: MainViewModel
) {
    val orderedSneakers by remember(viewModel.orderedSneakers, viewModel.selectedCategory) {
        derivedStateOf { viewModel.getOrderedSneakersByCategory() }
    }

    Column {
        TopWriteNavigationBar(navController, "Корзина", viewModel)

        SneakerKorzinaSelection(sneakers = orderedSneakers, viewModel = viewModel)

        BottomKorzinaNavigationBar(navController, orderedSneakers, viewModel)
    }
}