package com.example.testktor.screen.main

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.runtime.Composable
import androidx.compose.runtime.getValue
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.runtime.setValue
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.navigation.NavController
import com.example.testktor.SneakerShop
import com.example.testktor.ViewModel.MainViewModel
import com.example.testktor.method.main.SneakerCategorySelection
import com.example.testktor.method.main.TopWriteNavigationBar

@Composable
fun PopularSneakersScreen(
    navController: NavController,
    viewModel: MainViewModel
) {
    Box(
        modifier = Modifier
            .fillMaxSize()
            .background(Color(0xFFF7F7F9))
    ) {
        PopularSneakersContent(navController, viewModel)
    }
}

@Composable
fun PopularSneakersContent(
    navController: NavController,
    viewModel: MainViewModel
) {
    var sneakers by remember(viewModel.sneakersCategories) {
        mutableStateOf(
            viewModel.sneakersCategories.sneakers.map { sneaker ->
                SneakerShop(sneaker, false, false)
            }
        )
    }

    Column {
        TopWriteNavigationBar(navController, "Популярное", viewModel)

        SneakerCategorySelection(sneakers, viewModel)
    }
}