package com.example.testktor.screen.main

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.unit.sp
import androidx.navigation.NavController
import com.example.testktor.ViewModel.MainViewModel
import com.example.testktor.method.main.TopWriteNavigationBar

@Composable
fun SuccessOrderSneakersScreen(
    navController: NavController,
    viewModel: MainViewModel
) {
    Box(
        modifier = Modifier
            .fillMaxSize()
            .background(Color(0xFFF7F7F9))
    ) {
        SuccessOrderSneakersContent(navController, viewModel)
    }
}

@Composable
fun SuccessOrderSneakersContent(
    navController: NavController,
    viewModel: MainViewModel
){
    Column {
        TopWriteNavigationBar(navController, "Success order", viewModel)

        Text(text = "Заказ оформлен", fontSize = 30.sp)
    }
}
